<?php
/**
* Delete producer
* @return void
* @param int    $iProducer
*/
function deleteProducer( $iProducer ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aProducers = $oFFS->getData( DB_PRODUCERS, true );
  if( isset( $aProducers[$iProducer] ) ){
    unset( $aProducers[$iProducer] );
  }
  $oFFS->saveData( DB_PRODUCERS, $aProducers );
} // end function deleteProducer


/**
* Save producer data
* @return int
* @param array  $aForm
*/
function saveProducer( $aForm ){
  $oFFS = FlatFilesSerialize::getInstance( );

  $aProducers = $oFFS->getData( DB_PRODUCERS, true );

  if( isset( $aForm['iProducer'] ) && is_numeric( $aForm['iProducer'] ) && isset( $aProducers[$aForm['iProducer']] ) ){
  }
  else{
    $aForm['iProducer'] = $oFFS->throwLastId( DB_PRODUCERS, 'iProducer' ) + 1;
  }

  if( isset( $aForm['iPosition'] ) && !is_numeric( $aForm['iPosition'] ) )
    $aForm['iPosition'] = 0;

  $aProducers[$aForm['iProducer']] = changeMassTxt( $aForm, '' );

  $oFFS->saveData( DB_PRODUCERS, createProducersArray( $aProducers ) );
  return $aForm['iProducer'];
} // end function saveProducer


/**
* Function creates array to save to file
* @param array $aData
* @return array
*/
function createProducersArray( $aData ){
  if( isset( $aData ) ){
    foreach( $aData as $iKey => $aValue ){
      $aSort[$iKey][0] = (int) $aValue['iPosition'];
      $aSort[$iKey][1] = $aValue['sName'];
      $aSort[$iKey][2] = $aValue['iProducer'];
    } // end foreach

    if( isset( $aSort ) ){
      sort( $aSort );
      
      foreach( $aSort as $iKey => $aValue ){
        $aSave[$aValue[2]] = compareArrays( $GLOBALS['aProducersFields'], $aData[$aValue[2]] );
      } // end foreach

      return $aSave;
    }
  }
} // end function createProducersArray

/**
* List of producers
* @return string
*/
function listProducers( ){
  global $lang;
  $oFFS = FlatFilesSerialize::getInstance( );

  $aProducers = $oFFS->getData( DB_PRODUCERS, true );
  if( isset( $aProducers ) && is_array( $aProducers ) && count( $aProducers ) > 0 ){
    $content = null;
    $iCount = count( $aProducers );
    $i = 0;

    foreach( $aProducers as $iKey => $aData ){
      $content .= '<tr class="l'.( ( $i % 2 ) ? 0: 1 ).'"><td>'.$aData['iProducer'].'</td><td><a href="?p=producers-form&amp;iProducer='.$aData['iProducer'].'">'.$aData['sName'].'</a></td><td>'.$aData['iPosition'].'</td><td class="options"><a href="?p=producers-form&amp;iProducer='.$aData['iProducer'].'"><img src="'.DIR_TEMPLATES.'admin/img/ico_edit.gif" alt="'.$lang['edit'].'" title="'.$lang['edit'].'" /></a> <a href="?p=producers-delete&amp;iProducer='.$aData['iProducer'].'" onclick="return del( );"><img src="'.DIR_TEMPLATES.'admin/img/ico_del.gif" alt="'.$lang['delete'].'" title="'.$lang['delete'].'"/></a></td></tr>';
      $i++;
    } // end foreach

    if( isset( $content ) )
      return $content;
  }
} // end function listProducers
?>